Package be.ehealth.businessconnector.therlink.service.impl

# Class TherLinkServiceImpl

java.lang.Object
be.ehealth.businessconnector.therlink.service.impl.TherLinkServiceImpl

All Implemented Interfaces:
  `TherLinkService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class TherLinkServiceImpl extends Object implements TherLinkService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation for `TherLinkService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherLinkServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `GetTherapeuticLinkResponse`
  `getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request)`
  Get a therapeutic link
  `HasTherapeuticLinkResponse`
  `hasTherapeuticLink(SAMLToken token, HasTherapeuticLinkRequest request)`
  Check if a therapeutic link exists between the patient and healthcare party
  `PutTherapeuticLinkResponse`
  `putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request)`
  Put a therapeutic link
  `RevokeTherapeuticLinkResponse`
  `revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request)`
  Revoke a therapeutic link

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TherLinkServiceImpl

    public TherLinkServiceImpl()

- ## Method Details

  - ### putTherapeuticLink

    public PutTherapeuticLinkResponse putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request) throws TherLinkBusinessConnectorException, TechnicalConnectorException
    Description copied from interface: `TherLinkService`
    Put a therapeutic link
    Specified by:
      `putTherapeuticLink` in interface `TherLinkService`
    Parameters:
      `token` - the token
      `request` - the putTherapeuticLink request
    Returns:
      the putTherapeuticLink response
    Throws:
      `TherLinkBusinessConnectorException`
      `TechnicalConnectorException`

  - ### getTherapeuticLink

    public GetTherapeuticLinkResponse getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Description copied from interface: `TherLinkService`
    Get a therapeutic link
    Specified by:
      `getTherapeuticLink` in interface `TherLinkService`
    Parameters:
      `token` - the token
      `request` - the getTherapeuticLink request
    Returns:
      the response
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### revokeTherapeuticLink

    public RevokeTherapeuticLinkResponse revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Description copied from interface: `TherLinkService`
    Revoke a therapeutic link
    Specified by:
      `revokeTherapeuticLink` in interface `TherLinkService`
    Parameters:
      `token` - the token
      `request` - the request
    Returns:
      the response
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### hasTherapeuticLink

    public HasTherapeuticLinkResponse hasTherapeuticLink(SAMLToken token, HasTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Description copied from interface: `TherLinkService`
    Check if a therapeutic link exists between the patient and healthcare party
    Specified by:
      `hasTherapeuticLink` in interface `TherLinkService`
    Parameters:
      `token` - the token
      `request` - the request
    Returns:
      the response
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`